Web Home
Getting Started
Manual
Quick Reference
Language Reference
Function Reference
I/O Reference

Language Reference Function Reference I/O Reference Opening and Closing Text Files Reading Text Writing Text Positioning a Text File Opening and Closing Binary Files Saving and Restoring Variables Reading History Records Writing History Records Opening Non-PDB Files Making Plots Plot Paging and Hardcopy Setting Plot Limits Managing Graphics Windows Graphics Query, Edit, and Defaults | # Yorick I/O Reference ## Reading History Records A binary file may have two groups of variables: those belonging to a set of history records, and non-record variables. The record variables may have different values in each record. The records are labeled by (optional) time and cycle numbers: `jt, time` advance all open record files to record nearest time `jt, f, time` advance file f to record nearest time `jc, f, ncyc` advance file f to record nearest ncyc `get_times(f)` return list of record times `get_ncycs(f)` return list of record cycles